Просмотр исходного кода

add set -e and use exec to replace parent process to handle docker signals (#6)

use `exec` to turn httpd into parent process. This is important for docker signalling such as `docker stop ${container_id}`
add `set -e` which stops the entrypoint script if any command exits with a non-zero exit code.

Reviewed-on: https://git.lolcat.ca/lolcat/4get/pulls/6
Co-authored-by: throwaway <developerthrowaway@protonmail.com>
Co-committed-by: throwaway <developerthrowaway@protonmail.com>
throwaway 2 лет назад
Родитель
Сommit
232995bf0d
1 измененных файлов с 2 добавлено и 1 удалено
  1. 2 1
      docker/docker-entrypoint.sh

+ 2 - 1
docker/docker-entrypoint.sh

@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 sed -i "s/ServerName.*/ServerName ${FOURGET_SERVER_NAME}/g" /etc/apache2/httpd.conf
 sed -i "s/ServerAdmin.*/ServerAdmin ${FOURGET_SERVER_ADMIN_EMAIL}/g" /etc/apache2/httpd.conf
-httpd -DFOREGROUND
+exec httpd -DFOREGROUND